---
title: Databases
subtitle: Database Management Systems
layout: layouts/presentation.njk
---

<section>
  <h2>Database</h2>
    <p class="fragment">A database is an organized collection of data stored
      and accessed electronically.</p>
</section>

<section>
  <h2>Database Management System (DBMS)</h2>
  <section>
    <p class="fragment">Software that interacts with end users, applications,
      and the database itself to capture and analyze data.</p>
    <p class="fragment">Encompasses the core facilities provided to administer
      the database.</p>
    <p class="fragment">Provides a database engine to
      <strong>create</strong>, <strong>read</strong>, <strong>update</strong>
      and <strong>delete</strong> (<strong>CRUD</strong>) data from a
      database.</p>
  </section>
  <section>
    <h2>Classification</h2>
    <dl>
      <dt>Relational DBMS (RDBMS)</dt>
      <dd>Model data as rows and columns in a series of tables</dd>
      <dd>Use the structured query language (SQL)</dd>
      <dt>NoSQL</dt>
      <dd>Key-value store, object database, document store,
        graph database, ...</dd>
    </dl>
  </section>
</section>

<section>
  <h2>Relational Database Management Systems (RDBMS)</h2>
  <p>The most prominent examples include</p>
  <ul>
    <li><a href="https://mariadb.org/">MariaDB Server</a></li>
    <li><a href="https://www.microsoft.com/en-us/sql-server">Microsoft SQL Server</a> (proprietary)</li>
    <li><a href="https://www.mysql.com/">MySQL</a></li>
    <li><a href="https://www.oracle.com/database/">Oracle Database</a> (proprietary)</li>
    <li><a href="https://www.postgresql.org/">PostgreSQL</a></li>
  </ul>
  <p class="fragment"><a href="https://www.sqlite.org/index.html">SQLite</a> is
    a library that implements a SQL database engine. It is the most used
    database engine in the world.</p>
</section>


{% include 'slides/closing.njk' %}
